Page MenuHomePhabricator

[Task] Consistently use interfaces in the WikibaseLexeme code base
Open, NormalPublic

Description

Numerous previous changes left the Lexeme codebase in an inconsistent state by simply "avoiding" interfaces the Wikibase codebase and components provide for various reasons. This makes the implementations in the Lexeme codebase considerably different from the established ones in the Wikibase codebase. Such code becomes harder to read and maintain, and harder to reuse in situations that type hint against one of these interfaces.

Patch-For-Review and TODOs:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptOct 25 2017, 12:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.

Change 386140 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Declare missing property in StorageLexemeSerializer

https://gerrit.wikimedia.org/r/386140

Change 383812 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Bind against (De)Serializer interfaces instead of implementations

https://gerrit.wikimedia.org/r/383812

Change 383799 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Make all getForms methods return FormSet instead of array

https://gerrit.wikimedia.org/r/383799

thiemowmde triaged this task as Normal priority.Oct 25 2017, 1:13 PM

Change 383799 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make all getForms methods return FormSet instead of array

https://gerrit.wikimedia.org/r/383799

thiemowmde updated the task description. (Show Details)Oct 26 2017, 2:28 PM

Change 405689 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Fix violation of using package private serializer implementations

https://gerrit.wikimedia.org/r/405689

Change 405689 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix violation of using package private serializer implementations

https://gerrit.wikimedia.org/r/405689

Change 386140 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Declare missing property in StorageLexemeSerializer

https://gerrit.wikimedia.org/r/386140

thiemowmde renamed this task from [Task] Necessary refactorings to restore consistency in the WikibaseLexeme code base to [Task] Consistently use interfaces in the WikibaseLexeme code base.Feb 27 2018, 3:00 PM
thiemowmde removed thiemowmde as the assignee of this task.
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: RazShuty.

Change 383812 abandoned by Thiemo Kreuz (WMDE):
Bind against (De)Serializer interfaces instead of implementations

https://gerrit.wikimedia.org/r/383812

matej_suchanek updated the task description. (Show Details)